<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>fwConfigs: fwSmoothing.ctl File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">fwConfigs
   &#160;<span id="projectnumber">8.4.6</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('fwSmoothing_8ctl.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">fwSmoothing.ctl File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a53145340840c1eace40848be8bcacd89"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#a53145340840c1eace40848be8bcacd89">fwSmoothing_setMany</a> (dyn_string &amp;dpes, dyn_int &amp;smoothProcedure, dyn_float &amp;deadband, dyn_float &amp;timeInterval, dyn_string &amp;exceptionInfo, bool runDriverCheck=FALSE, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:a53145340840c1eace40848be8bcacd89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae14cde3f35b7834fec02174e4efdc06f"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#ae14cde3f35b7834fec02174e4efdc06f">fwSmoothing_setMultiple</a> (dyn_string dpes, int smoothProcedure, float deadband, float timeInterval, dyn_string &amp;exceptionInfo, bool runDriverCheck=FALSE, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:ae14cde3f35b7834fec02174e4efdc06f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c929e5efaf999a1bc6502133ba31252"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#a4c929e5efaf999a1bc6502133ba31252">fwSmoothing_set</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, int smoothProcedure, float deadband, float timeInterval, dyn_string &amp;exceptionInfo, bool runDriverCheck=FALSE, bool storeInParamHistory=TRUE)</td></tr>
<tr class="separator:a4c929e5efaf999a1bc6502133ba31252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac3c360e6873c708c5f42abfb39e76ebb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#ac3c360e6873c708c5f42abfb39e76ebb">fwSmoothing_deleteMultiple</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ac3c360e6873c708c5f42abfb39e76ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b264cb799e20762e9496815615189d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#a3b264cb799e20762e9496815615189d4">fwSmoothing_deleteMany</a> (dyn_string dpes, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a3b264cb799e20762e9496815615189d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0050d90eb66fb0077ffd7b50689b6b5c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#a0050d90eb66fb0077ffd7b50689b6b5c">fwSmoothing_delete</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a0050d90eb66fb0077ffd7b50689b6b5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4610ca2fe27ef0c03266670defafca5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#ae4610ca2fe27ef0c03266670defafca5">fwSmoothing_get</a> (string <a class="el" href="fwPeriphAddress__Examples_8ctl.html#af5eea7566ea64dd6536735d84f1055f5">dpe</a>, bool &amp;configExists, int &amp;smoothProcedure, float &amp;deadband, float &amp;timeInterval, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:ae4610ca2fe27ef0c03266670defafca5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f68d8cfd491680211954e92ae8fca31"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#a0f68d8cfd491680211954e92ae8fca31">fwSmoothing_getManyWithCheck</a> (dyn_string &amp;dpes, dyn_bool &amp;configExists, dyn_int &amp;smoothProcedure, dyn_float &amp;deadband, dyn_float &amp;timeInterval, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a0f68d8cfd491680211954e92ae8fca31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6941c92046ddd31cfb999b5d422b17dd"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#a6941c92046ddd31cfb999b5d422b17dd">fwSmoothing_getMany</a> (dyn_string &amp;dpes, dyn_bool &amp;configExists, dyn_int &amp;smoothProcedure, dyn_float &amp;deadband, dyn_float &amp;timeInterval, dyn_string &amp;exceptionInfo)</td></tr>
<tr class="separator:a6941c92046ddd31cfb999b5d422b17dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2737398dbdc372fb3ab7735f8eb89d75"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#a2737398dbdc372fb3ab7735f8eb89d75">_fwSmoothing_getParameters</a> (dyn_string &amp;dpes, bool isArchiveConfig, dyn_int &amp;smoothProcedure, dyn_float &amp;deadband, dyn_float &amp;timeInterval, dyn_string &amp;exceptionInfo, int procedureIdx=1)</td></tr>
<tr class="separator:a2737398dbdc372fb3ab7735f8eb89d75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac1bd12378563d367d37efe455517a07b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fwSmoothing_8ctl.html#ac1bd12378563d367d37efe455517a07b">_fwSmoothing_setParameters</a> (dyn_string dpes, bool isArchiveConfig, dyn_int smoothProcedure, dyn_float deadband, dyn_float timeInterval, dyn_string &amp;exceptionInfo, bool storeInParamHistory=TRUE, dyn_int procedureIdxs=makeDynInt())</td></tr>
<tr class="separator:ac1bd12378563d367d37efe455517a07b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This library contains function associated with the smoothing config. Functions are provided for getting the current settings, deleting the config and setting the config</p>
<dl class="section user"><dt>Creation Date</dt><dd>19/06/2000</dd></dl>
<dl class="section user"><dt>Modification History</dt><dd></dd></dl>
<p>22/11/2013 Marco Boccioli, Alexey Merezhin</p><ul>
<li>@jira{FWCORE-3147} Modify $param for option to avoid configuring periphery address if driver is running</li>
</ul>
<p>19/09/2011 Marco Boccioli</p><ul>
<li>@sav{86857}: _fwSmoothing_getParameters returns timeInterval = 1970.01 instead of 0. The internal variable was changed to dyn_anytype.</li>
</ul>
<p>05/09/2011 Marco Boccioli</p><ul>
<li>@sav{86405}: index out of range if a dpe has archive not fully parametrized. In case an attribute is not readable, <a class="el" href="fwSmoothing_8ctl.html#a2737398dbdc372fb3ab7735f8eb89d75">_fwSmoothing_getParameters()</a> makes a dpGet attribute per attribute. In this way it saves all the other dpes that are readable.</li>
</ul>
<p>31/08/2011 Marco Boccioli</p><ul>
<li>@sav{86236}: Error if dpe has no smoothing configured. added check into <a class="el" href="fwSmoothing_8ctl.html#a2737398dbdc372fb3ab7735f8eb89d75">_fwSmoothing_getParameters()</a></li>
</ul>
<p>12/08/2011 Marco Boccioli</p><ul>
<li>@sav{85462}: Functions *_setMany and *_getMany with parameters as reference.</li>
<li>@sav{85464}: Improved performance for <a class="el" href="fwSmoothing_8ctl.html#a6941c92046ddd31cfb999b5d422b17dd">fwSmoothing_getMany()</a>. It now makes 2 dpGet instead of 2*n.</li>
</ul>
<p>26/01/2011 Marco Boccioli</p><ul>
<li>@sav{77348}, @jira{ENS-2495} - added option to archive or not the modification of smoothing (parametrization history).</li>
</ul>
<p>21/01/2004 Oliver</p><ul>
<li>Added functionality for relative deadband values. Seperated out get and set of smoothing parameters (for use by fwArchive and fwSmoothing functions)</li>
</ul>
<p>15/01/2004 Oliver</p><ul>
<li>Completed overhaul of whole library</li>
</ul>
<p>15/09/2000 Oliver</p><ul>
<li><p class="startli">added error handling to save and delete functions</p>
<p class="startli">Oliver</p>
</li>
<li>cases for "combined smoothing and time" and " old/new comparison and time" added ability to get/set time interval when available</li>
</ul>
<dl class="section user"><dt>Constraints</dt><dd>WARNING: the functions use the dpGet or dpSetWait, problems may occur when using these functions in a working function called by a PVSS (dpConnect) or in a calling function</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="section author"><dt>Author</dt><dd>Herve Milcent, Niko Karlsson, Oliver Holme (IT-CO) </dd></dl>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a53145340840c1eace40848be8bcacd89"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a53145340840c1eace40848be8bcacd89">&#9670;&nbsp;</a></span>fwSmoothing_setMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_setMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runDriverCheck</em> = <code>FALSE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>storeInParamHistory</em> = <code>TRUE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds or modifies the smoothing config on the given dpes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">deadband</td><td>deadband value . Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">timeInterval</td><td>time in seconds. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
    <tr><td class="paramname">runDriverCheck</td><td>Optional parameter (default value = FALSE) - TRUE to check if driver is running before setting config, else FALSE The necessary driver number must be running in order to successfully create config </td></tr>
    <tr><td class="paramname">storeInParamHistory</td><td>Optional parameter (default value = TRUE) - TRUE to archive the parameter change, else FALSE </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae14cde3f35b7834fec02174e4efdc06f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae14cde3f35b7834fec02174e4efdc06f">&#9670;&nbsp;</a></span>fwSmoothing_setMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_setMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runDriverCheck</em> = <code>FALSE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>storeInParamHistory</em> = <code>TRUE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds or modifies the smoothing config on the given dpes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time </td></tr>
    <tr><td class="paramname">deadband</td><td>deadband value </td></tr>
    <tr><td class="paramname">timeInterval</td><td>time in seconds </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
    <tr><td class="paramname">runDriverCheck</td><td>Optional parameter (default value = FALSE) - TRUE to check if driver is running before setting config, else FALSE The necessary driver number must be running in order to successfully create config </td></tr>
    <tr><td class="paramname">storeInParamHistory</td><td>Optional parameter (default value = TRUE) - TRUE to archive the parameter change, else FALSE </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a4c929e5efaf999a1bc6502133ba31252"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4c929e5efaf999a1bc6502133ba31252">&#9670;&nbsp;</a></span>fwSmoothing_set()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_set </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>runDriverCheck</em> = <code>FALSE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>storeInParamHistory</em> = <code>TRUE</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Adds or modifies the smoothing config on the given dpes</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time </td></tr>
    <tr><td class="paramname">deadband</td><td>deadband value </td></tr>
    <tr><td class="paramname">timeInterval</td><td>time in seconds </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
    <tr><td class="paramname">runDriverCheck</td><td>Optional parameter (default value = FALSE) - TRUE to check if driver is running before setting config, else FALSE </td></tr>
    <tr><td class="paramname">storeInParamHistory</td><td>Optional parameter (default value = TRUE) - TRUE to archive the parameter change, else FALSE The necessary driver number must be running in order to successfully create config </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac3c360e6873c708c5f42abfb39e76ebb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac3c360e6873c708c5f42abfb39e76ebb">&#9670;&nbsp;</a></span>fwSmoothing_deleteMultiple()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_deleteMultiple </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the smoothing config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a3b264cb799e20762e9496815615189d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3b264cb799e20762e9496815615189d4">&#9670;&nbsp;</a></span>fwSmoothing_deleteMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_deleteMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the smoothing config for the given data point elements</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0050d90eb66fb0077ffd7b50689b6b5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0050d90eb66fb0077ffd7b50689b6b5c">&#9670;&nbsp;</a></span>fwSmoothing_delete()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_delete </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Deletes the smoothing config for the given data point element</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ae4610ca2fe27ef0c03266670defafca5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4610ca2fe27ef0c03266670defafca5">&#9670;&nbsp;</a></span>fwSmoothing_get()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_get </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>dpe</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int &amp;&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &amp;&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float &amp;&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the smoothing config from the given data point element. The function checks that the relevant driver is running. If not it returns an exception saying the config could not be read.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpe</td><td>data point element </td></tr>
    <tr><td class="paramname">configExists</td><td>TRUE if smoothing config exists, else FALSE </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time </td></tr>
    <tr><td class="paramname">deadband</td><td>Deadband value </td></tr>
    <tr><td class="paramname">timeInterval</td><td>Time interval in seconds </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a0f68d8cfd491680211954e92ae8fca31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f68d8cfd491680211954e92ae8fca31">&#9670;&nbsp;</a></span>fwSmoothing_getManyWithCheck()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_getManyWithCheck </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the smoothing config from the given data point element. The function checks that the relevant driver is running. If not it returns an exception saying the config could not be read.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>data point elements. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">configExists</td><td>TRUE if smoothing config exists, else FALSE </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time </td></tr>
    <tr><td class="paramname">deadband</td><td>Deadband value </td></tr>
    <tr><td class="paramname">timeInterval</td><td>Time interval in seconds </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6941c92046ddd31cfb999b5d422b17dd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6941c92046ddd31cfb999b5d422b17dd">&#9670;&nbsp;</a></span>fwSmoothing_getMany()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">fwSmoothing_getMany </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_bool &amp;&#160;</td>
          <td class="paramname"><em>configExists</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the smoothing config from the given data point element. The function checks that the relevant driver is running. If not it returns an exception saying the config could not be read.</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>data point elements. Passed as reference only for performance reasons. Not modified. </td></tr>
    <tr><td class="paramname">configExists</td><td>TRUE if smoothing config exists, else FALSE </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time </td></tr>
    <tr><td class="paramname">deadband</td><td>Deadband value </td></tr>
    <tr><td class="paramname">timeInterval</td><td>Time interval in seconds </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a2737398dbdc372fb3ab7735f8eb89d75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2737398dbdc372fb3ab7735f8eb89d75">&#9670;&nbsp;</a></span>_fwSmoothing_getParameters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwSmoothing_getParameters </td>
          <td>(</td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isArchiveConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int &amp;&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float &amp;&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>procedureIdx</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the parameters of the smoothing in the archiving or smoothing config of a given dpe. NOTE: This function does not check if the smoothing config exists nor if the archive config has smoothing configured (this must be done before using this function)</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>data point element </td></tr>
    <tr><td class="paramname">isArchiveConfig</td><td>TRUE to read archive config smoothing parameters FALSE to read smoothing config smoothing parameters </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time </td></tr>
    <tr><td class="paramname">deadband</td><td>deadband value returned here </td></tr>
    <tr><td class="paramname">timeInterval</td><td>time in seconds returned here </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
    <tr><td class="paramname">procedureIdx</td><td>(optional, default 1, only meaningful if isArchiveConfig is set) - archiving procedure index (detail in the archive config), should always be set to 1 unless NGA archiving is used. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ac1bd12378563d367d37efe455517a07b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac1bd12378563d367d37efe455517a07b">&#9670;&nbsp;</a></span>_fwSmoothing_setParameters()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">_fwSmoothing_setParameters </td>
          <td>(</td>
          <td class="paramtype">dyn_string&#160;</td>
          <td class="paramname"><em>dpes</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>isArchiveConfig</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>smoothProcedure</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float&#160;</td>
          <td class="paramname"><em>deadband</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_float&#160;</td>
          <td class="paramname"><em>timeInterval</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_string &amp;&#160;</td>
          <td class="paramname"><em>exceptionInfo</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>storeInParamHistory</em> = <code>TRUE</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">dyn_int&#160;</td>
          <td class="paramname"><em>procedureIdxs</em> = <code>makeDynInt()</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the parameters of the smoothing in the archiving or smoothing config of a given dpe. NOTE: This function does not create the smoothing config nor set up smoothing for the archiving config (this must be done before using this function)</p>
<dl class="section user"><dt>Constraints</dt><dd>None</dd></dl>
<dl class="section user"><dt>Usage</dt><dd>Public</dd></dl>
<dl class="section user"><dt>PVSS managers</dt><dd>VISION, CTRL</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dpes</td><td>list of data point elements </td></tr>
    <tr><td class="paramname">isArchiveConfig</td><td>TRUE to read archive config smoothing parameters FALSE to read smoothing config smoothing parameters </td></tr>
    <tr><td class="paramname">smoothProcedure</td><td>DPATTR_VALUE_SMOOTH : value dependent, DPATTR_VALUE_REL_SMOOTH : relative value dependent, DPATTR_TIME_SMOOTH : time dependent, DPATTR_TIME_AND_VALUE_SMOOTH : value AND time dependent, DPATTR_TIME_AND_VALUE_REL_SMOOTH : relative value AND time dependent, DPATTR_TIME_OR_VALUE_SMOOTH : value OR time dependent, DPATTR_TIME_OR_VALUE_REL_SMOOTH : relative value OR time dependent, DPATTR_COMPARE_OLD_NEW : old-new comparison, DPATTR_OLD_NEW_AND_TIME_SMOOTH : old-new comparison AND time, DPATTR_OLD_NEW_OR_TIME_SMOOTH : old-new comparison OR time </td></tr>
    <tr><td class="paramname">deadband</td><td>deadband value </td></tr>
    <tr><td class="paramname">timeInterval</td><td>time in seconds </td></tr>
    <tr><td class="paramname">exceptionInfo</td><td>details of any errors are returned here </td></tr>
    <tr><td class="paramname">storeInParamHistory</td><td>Optional parameter (default value = TRUE) - TRUE to archive the parameter change, else FALSE </td></tr>
    <tr><td class="paramname">procedureIdxs</td><td>(optional, default: empty, only meaningful if isArchiveConfig is set) - archiving procedure indexes (details in the archive config), if empty, index 1 will be used for all DPEs. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="fwSmoothing_8ctl.html">fwSmoothing.ctl</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
